# SponsorOptions | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

Sponsored transaction options

param

  the origin-signed transaction to sponsor

param

  the sponsor's private key

param

  the transaction fee amount to sponsor

param

  the nonce of the sponsor account

param

  the sponsor address hashmode

param

  the Stacks blockchain network this transaction is destined for

### Hierarchy

- SponsorOptions

## Index

### Properties

- fee
- network
- sponsorAddressHashmode
- sponsorNonce
- sponsorPrivateKey
- transaction

## Properties

### Optional fee

fee: BigNum

- Defined in packages/transactions/src/builders.ts:1090

### Optional network

network: StacksNetwork

- Defined in packages/transactions/src/builders.ts:1093

### Optional sponsorAddressHashmode

sponsorAddressHashmode: AddressHashMode

- Defined in packages/transactions/src/builders.ts:1092

### Optional sponsorNonce

sponsorNonce: BigNum

- Defined in packages/transactions/src/builders.ts:1091

### sponsorPrivateKey

sponsorPrivateKey: string

- Defined in packages/transactions/src/builders.ts:1089

### transaction

transaction: StacksTransaction

- Defined in packages/transactions/src/builders.ts:1088

Generated using TypeDoc